# Cloud SQL Administration API . tiers

## Instance Methods

Lists all available service tiers for Google Cloud SQL, for example D1, D2. For related information, see Pricing.

### Method Details

`list()`

    Lists all available service tiers for Google Cloud SQL, for example D1, D2. For related information, see Pricing.

    Args:

    Returns:
      An object of the form:

        { # Tiers list response.
        "items": [ # List of tiers.
          { # A Google Cloud SQL service tier resource.
            "DiskQuota": "A String", # The maximum disk size of this tier in bytes.
            "tier": "A String", # An identifier for the service tier, for example D1, D2 etc. For related information, see Pricing.
            "kind": "sql#tier", # This is always sql#tier.
            "RAM": "A String", # The maximum RAM usage of this tier in bytes.
            "region": [ # The applicable regions for this tier. Can be us-east1 and europe-west1.
              "A String",
            ],
          },
        ],
        "kind": "sql#tiersList", # This is always sql#tiersList.
      }